HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoicesInvoiceFinalize

Contains the different functions to run the operation postInvoicesInvoiceFinalize

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostInvoicesInvoiceFinalize.hs
valuepostInvoicesInvoiceFinalize
  1. :: MonadHTTP m
  2. => Text

    invoice | Constraints: Maximum length of 5000

  3. -> Maybe PostInvoicesInvoiceFinalizeRequestBody

    The request body to send

  4. -> ClientT m (Response PostInvoicesInvoiceFinalizeResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoices/{invoice}/finalize

<p>Stripe automatically finalizes drafts before sending and attempting payment on invoices. However, if you’d like to finalize a draft invoice manually, you can do so using this method.</p>

Defines the object schema located at paths./v1/invoices/{invoice}/finalize.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postInvoicesInvoiceFinalize.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoicesInvoiceFinalizeResponseError is used.

Constructors

Instances2Eq, Show